    MASTER(8)                                               MASTER(8)

    NAME
           master - Postfix master process

    SYNOPSIS
           master [-Dtv] [-c config_dir]
                   [-e exit_time]

    DESCRIPTION
           The  master daemon is the resident process that runs Post-
           fix daemons on demand: daemons to send or receive messages
           via  the  network,  daemons  to deliver mail locally, etc.
           These daemons are created on demand up to  a  configurable
           maximum number per service.

           Postfix  daemons terminate voluntarily, either after being
           idle for a configurable amount of time,  or  after  having
           serviced  a configurable number of requests. Exceptions to
           this rule are the resident queue manager and the  resident
           address verification server.

           The  behavior  of  the  master daemon is controlled by the
           master.cf configuration file. The table specifies zero  or
           more  servers  in the UNIX or INET domain, or servers that
           take requests from a FIFO. Precise  configuration  details
           are  given  in the master.cf file, and in the manual pages
           of the respective daemons.

           Options:

           -c config_dir
                  Read the main.cf and master.cf configuration  files
                  in  the named directory instead of the default con-
                  figuration directory.

           -e exit_time
                  Terminate the master process after  exit_time  sec-
                  onds.  Child  processes  terminate  at their conve-
                  nience.

           -D     After initialization, run a debugger on the  master
                  process.  The  debugging  command is specified with
                  the debugger_command in the main.cf global configu-
                  ration file.

           -t     Test  mode. Return a zero exit status when the mas-
                  ter.pid lock file does not exist or when that  file
                  is  not  locked.   This is evidence that the master
                  daemon is not running.

           -v     Enable verbose logging for debugging purposes. This
                  option is passed on to child processes. Multiple -v
                  options make the software increasingly verbose.

           Signals:

           SIGHUP Upon receipt of a HUP signal (e.g.,  after  postfix
                  reload), the master process re-reads its configura-
                  tion files. If a service has been removed from  the
                  master.cf  file,  its  running processes are termi-
                  nated immediately.   Otherwise,  running  processes
                  are  allowed to terminate as soon as is convenient,
                  so that changes in  configuration  settings  affect
                  only new service requests.

           SIGTERM
                  Upon  receipt of a TERM signal (e.g., after postfix
                  abort), the master process passes the signal on  to
                  its child processes and terminates.  This is useful
                  for an emergency shutdown. Normally one would  ter-
                  minate  only  the  master  (postfix stop) and allow
                  running processes to finish what they are doing.

    DIAGNOSTICS
           Problems are reported to syslogd(8).

    ENVIRONMENT
           MAIL_DEBUG
                  After initialization, start a debugger as specified
                  with  the  debugger_command configuration parameter
                  in the main.cf configuration file.

           MAIL_CONFIG
                  Directory with Postfix configuration files.

    CONFIGURATION PARAMETERS
           Unlike most Postfix daemon processes, the master(8) server
           does not automatically pick up changes to main.cf. Changes
           to master.cf are never picked up automatically.   Use  the
           postfix reload command after a configuration change.

    RESOURCE AND RATE CONTROLS
           daemon_timeout (18000s)
                  How  much time a Postfix daemon process may take to
                  handle a request  before  it  is  terminated  by  a
                  built-in watchdog timer.

           default_process_limit (100)
                  The  default  maximal  number of Postfix child pro-
                  cesses that provide a given service.

           max_idle (100s)
                  The maximum amount of time  that  an  idle  Postfix
                  daemon  process  waits for the next service request
                  before exiting.

           max_use (100)
                  The maximal number of connection requests before  a
                  Postfix daemon process terminates.

           service_throttle_time (60s)
                  How long the Postfix master(8) waits before forking
                  a server that appears to be malfunctioning.

    MISCELLANEOUS CONTROLS
           config_directory (see 'postconf -d' output)
                  The default location of  the  Postfix  main.cf  and
                  master.cf configuration files.

           daemon_directory (see 'postconf -d' output)
                  The  directory  with  Postfix  support programs and
                  daemon programs.

           debugger_command (empty)
                  The external command to execute when a Postfix dae-
                  mon program is invoked with the -D option.

           inet_interfaces (all)
                  The network interface addresses that this mail sys-
                  tem receives mail on.

           import_environment (see 'postconf -d' output)
                  The list of environment parameters that  a  Postfix
                  process  will import from a non-Postfix parent pro-
                  cess.

           mail_owner (postfix)
                  The UNIX system account that owns the Postfix queue
                  and most Postfix daemon processes.

           process_id (read-only)
                  The  process ID of a Postfix command or daemon pro-
                  cess.

           process_name (read-only)
                  The process name of a  Postfix  command  or  daemon
                  process.

           queue_directory (see 'postconf -d' output)
                  The  location of the Postfix top-level queue direc-
                  tory.

           syslog_facility (mail)
                  The syslog facility of Postfix logging.

           syslog_name (postfix)
                  The mail system name that is prepended to the  pro-
                  cess  name  in  syslog  records,  so  that  "smtpd"
                  becomes, for example, "postfix/smtpd".

    FILES
           /usr/local/etc/postfix/main.cf, global configuration file.
           /usr/local/etc/postfix/master.cf, master server configuration file.
           /var/spool/postfix/pid/master.pid, master lock file.

    SEE ALSO
           qmgr(8), queue manager
           verify(8), address verification
           postconf(5), configuration parameters
           syslogd(8), system logging

    LICENSE
           The Secure Mailer license must be  distributed  with  this
           software.

    AUTHOR(S)
           Wietse Venema
           IBM T.J. Watson Research
           P.O. Box 704
           Yorktown Heights, NY 10598, USA

                                                            MASTER(8)